<!SGML  "ISO 8879:1986"
--
     SGML Declaration for strawman (ISO-HTML).

     HyperText Markup Language (HTML) - an SGML system
     conforming to International Standard ISO 8879 - 
     Standard Generalised Markup Language.

(C) International Organization for Standardization 1996

     Permission to copy in any form is granted for use with
     conforming systems and applications as defined in
     ISO 15xxx, provided this notice is included in all copies.

     Based on:
     Id: html.decl,v 1.17 1995/06/08 14:59:32 connolly Exp
     Author: Daniel W. Connolly <connolly@w3.org>
     1996-10-27 Removed Horizontal Tab, decimal 9   Roger Price 
     1996-11-05 BASESET should use ISO 10646-1   Roger Price 
--

CHARSET
      -- The following declaration provided by the IETF HTML
         internationalisation specification produces error
         messages with the nsgmls parser:
         BASESET  "ISO Registration Number 176//CHARSET
                   ISO/IEC 10646-1:1993 UCS-2 with implementation level 3
                   //ESC 2/5 2/15 4/5"
         DESCSET    0    10 UNUSED
                   10     1     10
                   11     2 UNUSED
                   13     1     13
                   14    18 UNUSED
                   32    95     32
                  127     1 UNUSED
                  128    32 UNUSED
                  160 65374    160 --

      -- Use only 256 character positions until nsgmls problem solved --
         BASESET "ISO 646:1983//CHARSET
                  International Reference Version
                  (IRV)//ESC 2/5 4/0"
         DESCSET    0 10 UNUSED
                   10  1     10
                   11  2 UNUSED
                   13  1     13
                   14 18 UNUSED
                   32 95     32
                  127  1 UNUSED

         BASESET "ISO Registration Number 100//CHARSET
                  ECMA-94 Right Part of
                  Latin Alphabet Nr. 1//ESC 2/13 4/1"
         DESCSET  128 32 UNUSED
                  160 96     32

CAPACITY        SGMLREF
                TOTALCAP        150000
                GRPCAP          150000
		ENTCAP		150000
  
SCOPE    DOCUMENT
SYNTAX   
         SHUNCHAR CONTROLS 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
                  17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 127
         BASESET "ISO 646:1983//CHARSET
                  International Reference Version
                  (IRV)//ESC 2/5 4/0"
         DESCSET  0 128 0

         FUNCTION
		  RE          13
                  RS          10
                  SPACE       32
              --  TAB SEPCHAR  9   Deprecated --
	
         NAMING   LCNMSTRT ""
                  UCNMSTRT ""
                  LCNMCHAR ".-"
                  UCNMCHAR ".-"
                  NAMECASE GENERAL YES
                           ENTITY   NO
         DELIM    GENERAL  SGMLREF
               -- SHORTREF SGMLREF In order to remove the horizontal
tab from the SHORTREF delimiter set, I redefined the shortref
delimiters with everything the reference syntax provides except for
horizontal tab.  See ISO 8879:1986 13.4.6.2, Goldfarb p.364 table 4
and p.467 for gory details. RP --

SHORTREF NONE "&#13;" "&#10;" "&#10;&#66;" "&#10;&#13;"
"&#10;&#66;&#13;" "&#66;&#13;" "&#32;" "&#66;&#66;" "&#34;" "&#35;"
"&#37;" "&#39;" "&#40;" "&#41;" "&#42;" "&#43;" "&#44;" "&#45;"
"&#45;&#45;" "&#58;" "&#59;" "&#61;" "&#64;" "&#91;" "&#93;" "&#94;"
"&#95;" "&#123;" "&#124;" "&#125;" "&#126;"

         NAMES    SGMLREF
         QUANTITY SGMLREF
                  ATTSPLEN 2100
                  LITLEN   1024
                  NAMELEN    72  -- somewhat arbitrary; taken from
                                    internet line length conventions --
                  PILEN    1024
                  TAGLVL    100
                  TAGLEN   2100
                  GRPGTCNT  150
                  GRPCNT     64
                  ATTCNT     41  -- Allow Anders Berlund's ISO DTD --
FEATURES
  MINIMIZE
    DATATAG   NO
    OMITTAG  YES
    RANK      NO
    SHORTTAG YES
  LINK
    SIMPLE    NO
    IMPLICIT  NO
    EXPLICIT  NO
  OTHER
    CONCUR    NO
    SUBDOC    NO
    FORMAL   YES
  APPINFO  "SDA"  -- conforming SGML Document Access application? --
                  -- This will most likely be an "addon" when I get
                     to it.  RP --
>
